//tag::ref-doc[]
= Splitter Processor

The splitter app builds upon the concept of the same name in Spring Integration and allows the splitting of a single message into several distinct messages.
The processor uses a function that takes a `Message<?>` as input and then produces a `List<Message<?>` as output based on various properties (see below).
You can use a SpEL expression or a delimiter to specify how you want to split the incoming message.

== Payload

* Incoming payload - `Message<?`>

If the incoming type is `byte[]` and the content type is set to `text/plain` or `application/json`, then the application converts the `byte[]` into `String`.

* Outgoing payload - `List<Message<?>`


== Options

//tag::configuration-properties[link-to-catalog=true]
https://github.com/spring-cloud/spring-functions-catalog/tree/main/function/spring-splitter-function#configuration-options[See Spring Functions Catalog for configuration options].
//end::configuration-properties[]

//end::ref-doc[]
